PETSc version 3.15.5
Fix/Edit manual page

# PCSetFailedReason

Sets the reason a PCSetUp() failed or PC_NOERROR if it did not fail

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetFailedReason(PC pc,PCFailedReason reason)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context
| reason | - the reason it failedx

### See Also

PCCreate(), PCApply(), PCDestroy(), PCFailedReason

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages